Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.gtwy
Class RecordChannel

    java.lang.Object
      |
      +--cnrg.itx.gtwy.RecordChannel

public class RecordChannel
extends java.lang.Object
implements java.lang.Runnable

Takes care of sending voice data from the primary channel from the phone to the computer network.

See Also:
  `Runnable`

Field Summary
`private cnrg.itx.datax.Connection` | `myConnection` The Connection instance needed for data transfer.
`private Gateway` | `myGate` The Gateway instance.
`private Line` | `myLine` The Line instance corresponding to RecordChannel's line.

Constructor Summary
`protected` | `RecordChannel(Line lin, cnrg.itx.datax.Connection c, Gateway g)`

Method Summary
`(package private) static void` | `()`
`private java.lang.String` | `recordPacket(RecordSource dataChannel, int chDev, int lineNumber)` Sends voice data from phone to computer.
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### myLine

    private Line myLine

  The Line instance corresponding to RecordChannel's line.

### myConnection

    private cnrg.itx.datax.Connection myConnection

  The Connection instance needed for data transfer.

### myGate

    private Gateway myGate

  The Gateway instance.

Constructor Detail

### RecordChannel

    protected RecordChannel(Line lin,
                            cnrg.itx.datax.Connection c,
                            Gateway g)

  Parameters:
    `lin` - the `Line` instance corresponding to `RecordChannel's` line. Contains information regarding the line.
    `c` - the `Connection` instance needed for data transfer with the computer network.
    `g` - the `Gateway` instance. Needed to access line state.
  See Also:
    `Line`, `Gateway`, `Connection`

Method Detail

###

    static void ()

### run

    public void run()

  Specified by:
    run in interface java.lang.Runnable

### recordPacket

    private java.lang.String recordPacket(RecordSource dataChannel,
                                          int chDev,
                                          int lineNumber)

  Sends voice data from phone to computer.
  Parameters:
    `dataChannel` - the object whose methods are used to send data to a PC.
    `chDev` - the channel's device handler.
    `lineNumber` - the channel's corresponding line number.
  Returns:
    any DTMF digits that were pressed during recording or an indication of a hangup.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD